Loading...
Searching...
No Matches
Dune::Amg::RowSum Struct Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Functor using the row sum (infinity) norm to determine strong couplings. More...

`#include <dune/istl/paamg/aggregates.hh>`

## Public Types

enum | { is_sign_preserving = false }

## Public Member Functions

template<class M>
auto | operator() (const M &m) const
| compute the norm of a matrix.

## Detailed Description

Functor using the row sum (infinity) norm to determine strong couplings.

The is proposed by several people for elasticity problems.

The documentation for this struct was generated from the following file:

- aggregates.hh